Bug 143905 - xscreensaver causes "X Error of failed request"
xscreensaver causes "X Error of failed request"
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-31 21:44 EST by Gabriel Schulhof
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:47:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gabriel Schulhof 2004-12-31 21:44:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I run

X :1 -query <hostname>

from a Gentoo/PPC Apple iBook G4 to log into my FC3 desktop. When I run 

xscreensaver -sync -verbose -no-capture

from a command line I open via gnome-terminal, I get the following output:

xscreensaver 4.18, copyright (c) 1991-2004 by Jamie Zawinski
<jwz@jwz.org>.
xscreensaver: running as nix/users (518/100)
xscreensaver: in process 4610.
xscreensaver: 21:35:09: 0: xscreensaver-gl-helper: GL visual is 0x24.
xscreensaver: 21:35:10: initialization of Kerberos passwords failed.
xscreensaver: 21:35:10: running on display "mactop.yqg.go-nix.ca:1.0"
(1 screen).
xscreensaver: 21:35:10: vendor is Gentoo Linux (The X.Org Foundation
6.7.0, revision r3-1.3), 60700000.
xscreensaver: 21:35:10: useful extensions:
xscreensaver: 21:35:10:   MIT Screen-Saver
xscreensaver: 21:35:10:   Shared Memory
xscreensaver: 21:35:10:   Double-Buffering
xscreensaver: 21:35:10:   Power Management
xscreensaver: 21:35:10:   GLX
xscreensaver: 21:35:10:   XF86 Video-Mode
xscreensaver: 21:35:10:   Resize-and-Rotate
xscreensaver: 21:35:10: screen 0 non-colormapped depths: 24.
xscreensaver: 21:35:10: not using server's lame MIT-SCREEN-SAVER
extension.
xscreensaver: 21:35:10: selecting RANDR events

##############################################################################

xscreensaver: 21:35:10: X Error!  PLEASE REPORT THIS BUG.
xscreensaver: 21:35:10: screen 0/0: 0x40, 0x0, 0x0

##############################################################################

X Error of failed request:  BadValue (integer parameter out of range
for operation)
  Major opcode of failed request:  157 (RANDR)
  Minor opcode of failed request:  4 (RRSelectInput)
  Value in failed request:  0x100
  Serial number of failed request:  236
  Current serial number in output stream:  237

xscreensaver: 21:35:10: dumping core (because of synchronous X Error)
xscreensaver: 21:35:10: see http://www.jwz.org/xscreensaver/bugs.html
                        for bug reporting information.

xscreensaver: 21:35:10: current directory is /home/nix
xscreensaver: 21:35:10: running as nix/users (518/100)


I installed xscreensaver-debuginfo and obtained the following backtrace:

#0  0x0081f7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00863955 in raise () from /lib/tls/libc.so.6
#2  0x00865319 in abort () from /lib/tls/libc.so.6
#3  0x080506e0 in saver_exit (si=0xfefd2690, status=-1,
dump_core_reason=0x8069bf4 "because of synchronous X Error")
    at windows.c:879
#4  0x0804c3a6 in saver_ehandler (dpy=0x0, error=0x0) at
xscreensaver.c:386
#5  0x009c8e40 in _XError () from /usr/X11R6/lib/libX11.so.6
#6  0x009c9557 in _XReply () from /usr/X11R6/lib/libX11.so.6
#7  0x009c40f6 in XSync () from /usr/X11R6/lib/libX11.so.6
#8  0x009c41ad in XSync () from /usr/X11R6/lib/libX11.so.6
#9  0x00d62ad3 in XRRSelectInput () from /usr/X11R6/lib/libXrandr.so.2
#10 0x08057445 in query_randr_extension (si=0xfefd2690) at xset.c:184
#11 0x0804c705 in initialize_server_extensions (si=0xfefd2690) at
xscreensaver.c:1038
#12 0x0804f451 in main (argc=1, argv=0xfefd28c4) at xscreensaver.c:1450
#13 0x00850e33 in __libc_start_main () from /lib/tls/libc.so.6
#14 0x0804c0f1 in _start ()

Version-Release number of selected component (if applicable):
xscreensaver-4.18-4

How reproducible:
Always

Steps to Reproduce:
1. Install Gentoo on an iBook G4, including xorg-x11
2. Install FC3 on an x86 and enable XDMCP
3. Run X :1 -query <host_running_XDMCP> from the iBook
4. Try running xscreensaver
    

Actual Results:  xscreensaver crashes as seen above.

Expected Results:  xscreensaver starts properly.

Additional info:
Comment 1 Matthew Miller 2006-07-10 16:53:20 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Ray Strode [halfline] 2007-08-14 11:47:34 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.